Retrieves the collection of ReleaseRecording resources.
curl --request GET \
--url https://www.fmdb.net/api/releases/{releaseId}/recordings \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.fmdb.net/api/releases/{releaseId}/recordings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.fmdb.net/api/releases/{releaseId}/recordings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"type": "<string>",
"attributes": {
"_id": "a1b2c3d4-e5f6-4a5b-8c9d-0e1f2a3b4c5d",
"_type": "original",
"disambiguation": "<string>",
"is_remastered": false,
"recording_type": "original",
"notes": "Main recording for HP7",
"recording": {
"iri": "/api/recordings/uuid",
"id": "uuid",
"title": "Recording Title",
"production": {
"iri": "/api/productions/uuid",
"id": "uuid",
"title": "Production Title",
"year": 2024
}
},
"effective_credits": [
{}
],
"effective_orchestras": [
{}
],
"effective_choirs": [
{}
],
"additional_credits": [
{}
]
}
}
],
"links": {
"self": "string",
"first": "string",
"prev": "string",
"next": "string",
"last": "string"
},
"meta": {
"totalItems": 1,
"itemsPerPage": 1,
"currentPage": 1
}
}ReleaseRecording
Retrieves the collection of ReleaseRecording resources.
Retrieves the collection of ReleaseRecording resources.
GET
/
api
/
releases
/
{releaseId}
/
recordings
Retrieves the collection of ReleaseRecording resources.
Authorizations
API token authentication
Path Parameters
ReleaseResource identifier
Query Parameters
The collection page number
Response
200 - application/vnd.api+json
ReleaseRecording collection
⌘I
